Interface MiloServerEndpointBuilderFactory.MiloServerBuilders
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
MiloServerEndpointBuilderFactory
public static interface MiloServerEndpointBuilderFactory.MiloServerBuilders
-
Method Summary
Modifier and TypeMethodDescriptionmiloServer(String path) OPC UA Server (camel-milo) Make telemetry data available as an OPC UA server.miloServer(String componentName, String path) OPC UA Server (camel-milo) Make telemetry data available as an OPC UA server.
-
Method Details
-
miloServer
OPC UA Server (camel-milo) Make telemetry data available as an OPC UA server. Category: iot Since: 2.19 Maven coordinates: org.apache.camel:camel-milo Syntax:milo-server:itemIdPath parameter: itemId (required) ID of the item- Parameters:
path- itemId- Returns:
- the dsl builder
-
miloServer
default MiloServerEndpointBuilderFactory.MiloServerEndpointBuilder miloServer(String componentName, String path) OPC UA Server (camel-milo) Make telemetry data available as an OPC UA server. Category: iot Since: 2.19 Maven coordinates: org.apache.camel:camel-milo Syntax:milo-server:itemIdPath parameter: itemId (required) ID of the item- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- itemId- Returns:
- the dsl builder
-